Subject: Ticket Assigned - order number is 6146224551. The tracking number is FP0530220004039.
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2022 08:00:17 +0000

Hi Shahad Albelihed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  order number is 6146224551. The tracking number is FP0530220004039.  Dear center point team

*You are the Big cheaters *

I am fed up with Centerpoint delivery team. Very bad delivery service.

*My order  6146224551  was taken by one delivery boy yesterday and his mob number is +966 56 811 4425
He told he will deliver yesterday (30th May 2022).

And We waited for the delivery boy till 9 pm

And he didn’t deliver and he promised that he will deliver yesterday

I need my order today itself.

My address I clearly given as below:
Smitha BabuKing fahad branch road 12313 Riyadh'King Fahad  Saudi Arabia

What is the mistake in my address????Please give the delivery boy who can read the address clearly 

Regards
Smitha Babu
Mob 0565749012

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4426337